Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   64 Studio Developer (http://www.linux-archive.org/64-studio-developer/)
-   -   Ardour dependecies after upgrading to Lenny (http://www.linux-archive.org/64-studio-developer/102575-ardour-dependecies-after-upgrading-lenny.html)

dave 06-07-2008 09:36 PM

Ardour dependecies after upgrading to Lenny
 
Hi mirami,

Jarom├*r Mike┼í wrote:
> Hello,
>
> I've got this message when I've tried install Ardour from backport repository after upgrading to Lenny.
>
> ardour:
> Depends: liblo0 but it is not going to be installed
>
> I have allowed all repositories.
>
> Cheers
>
> mirami
>
> _______________________________________________
> 64studio-devel mailing list
> 64studio-devel@64studio.com
> http://lists.64studio.com/mailman/listinfo/64studio-devel
>
>

We posted at the same time ;-)
I don't think you're ready for ardour yet.
You got your post as I got this one.
Install ardour from sid. Last. Even after nvidia.
I never saw anything like the list you posted?
If you take your time, you will end up with a very nice install/upgrade.
for jackd to start, you might need.

edit /etc/security/limits.conf (add to the end of file)

@audio - rtprio 99
@audio - memlock 4000000
@audio - nice -19

I think 64studio comments out memlock in the default install?

It's always better to remove non-free / 3rd party repositories
when doing an upgrade like this. Upgrade them at the end.

Cheers,

dave.



_______________________________________________
64studio-devel mailing list
64studio-devel@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-devel

Jarom├şr Mike┼í 06-07-2008 10:36 PM

Ardour dependecies after upgrading to Lenny
 
Hi Dave,

I have two troubles installing Nvidia legacy driver.

1)
install process ask me for gcc-4.1 even it is installed
install proccess recognise gcc-4.2 on my system and ask if want use this one

2)
I've chossed gcc-4.2 and installer ask me for kernel-source or kernel-devel package.
I am not sure which package it should be.


Cheers

mirami


< ------------ P┼»vodn├* zpr├íva ------------
< Od: dave <drbudo@ntlworld.com>
< P┼Öedm─Ťt: Re: [64studio-devel] Ardour dependecies after upgrading to Lenny
< Datum: 07.6.2008 23:37:32
< ----------------------------------------
< Hi mirami,
<
< Jarom├*r Mike┼í wrote:
< > Hello,
< >
< > I've got this message when I've tried install Ardour from backport repository
< after upgrading to Lenny.
< >
< > ardour:
< > Depends: liblo0 but it is not going to be installed
< >
< > I have allowed all repositories.
< >
< > Cheers
< >
< > mirami
< >
< > _______________________________________________
< > 64studio-devel mailing list
< > 64studio-devel@64studio.com
< > http://lists.64studio.com/mailman/listinfo/64studio-devel
< >
< >
<
< We posted at the same time ;-)
< I don't think you're ready for ardour yet.
< You got your post as I got this one.
< Install ardour from sid. Last. Even after nvidia.
< I never saw anything like the list you posted?
< If you take your time, you will end up with a very nice install/upgrade.
< for jackd to start, you might need.
<
< edit /etc/security/limits.conf (add to the end of file)
<
< @audio - rtprio 99
< @audio - memlock 4000000
< @audio - nice -19
<
< I think 64studio comments out memlock in the default install?
<
< It's always better to remove non-free / 3rd party repositories
< when doing an upgrade like this. Upgrade them at the end.
<
< Cheers,
<
< dave.
<
<
<
< _______________________________________________
< 64studio-devel mailing list
< 64studio-devel@64studio.com
< http://lists.64studio.com/mailman/listinfo/64studio-devel
<
<
<

_______________________________________________
64studio-devel mailing list
64studio-devel@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-devel

Jarom├şr Mike┼í 06-07-2008 11:40 PM

Ardour dependecies after upgrading to Lenny
 
Hi Dave,

for what is this?

@audio - rtprio 99
@audio - memlock 4000000
@audio - nice -19

Where I can get some info???

Cheers

mirami

< ------------ P┼»vodn├* zpr├íva ------------
< Od: dave <drbudo@ntlworld.com>
< P┼Öedm─Ťt: Re: [64studio-devel] Ardour dependecies after upgrading to Lenny
< Datum: 07.6.2008 23:37:32
< ----------------------------------------
< Hi mirami,
<
< Jarom├*r Mike┼í wrote:
< > Hello,
< >
< > I've got this message when I've tried install Ardour from backport repository
< after upgrading to Lenny.
< >
< > ardour:
< > Depends: liblo0 but it is not going to be installed
< >
< > I have allowed all repositories.
< >
< > Cheers
< >
< > mirami
< >
< > _______________________________________________
< > 64studio-devel mailing list
< > 64studio-devel@64studio.com
< > http://lists.64studio.com/mailman/listinfo/64studio-devel
< >
< >
<
< We posted at the same time ;-)
< I don't think you're ready for ardour yet.
< You got your post as I got this one.
< Install ardour from sid. Last. Even after nvidia.
< I never saw anything like the list you posted?
< If you take your time, you will end up with a very nice install/upgrade.
< for jackd to start, you might need.
<
< edit /etc/security/limits.conf (add to the end of file)
<
< @audio - rtprio 99
< @audio - memlock 4000000
< @audio - nice -19
<
< I think 64studio comments out memlock in the default install?
<
< It's always better to remove non-free / 3rd party repositories
< when doing an upgrade like this. Upgrade them at the end.
<
< Cheers,
<
< dave.
<
<
<
< _______________________________________________
< 64studio-devel mailing list
< 64studio-devel@64studio.com
< http://lists.64studio.com/mailman/listinfo/64studio-devel
<
<
<

_______________________________________________
64studio-devel mailing list
64studio-devel@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-devel

Gustin Johnson 06-08-2008 01:46 AM

Ardour dependecies after upgrading to Lenny
 
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

googling for /etc/security/limits.conf was quite fruitful. The first
two links are provided below. You should check out the google search
yourself.

http://www.userlocal.com/security/secpam.php
http://www.gentoo.org/doc/en/security/security-handbook.xml?part=1&chap=5

Hth,

Jarom├*r Mike┼í wrote:
| Hi Dave,
|
| for what is this?
|
| @audio - rtprio 99
| @audio - memlock 4000000
| @audio - nice -19
|
| Where I can get some info???
|
| Cheers
|
| mirami
|
| < ------------ P´┐Żvodn´┐Ż zpr´┐Żva ------------
| < Od: dave <drbudo@ntlworld.com>
| < P´┐Żedm´┐Żt: Re: [64studio-devel] Ardour dependecies after upgrading to
Lenny
| < Datum: 07.6.2008 23:37:32
| < ----------------------------------------
| < Hi mirami,
| <
| < Jarom´┐Żr Mike´┐Ż wrote:
| < > Hello,
| < >
| < > I've got this message when I've tried install Ardour from
backport repository
| < after upgrading to Lenny.
| < >
| < > ardour:
| < > Depends: liblo0 but it is not going to be installed
| < >
| < > I have allowed all repositories.
| < >
| < > Cheers
| < >
| < > mirami
| < >
| < > _______________________________________________
| < > 64studio-devel mailing list
| < > 64studio-devel@64studio.com
| < > http://lists.64studio.com/mailman/listinfo/64studio-devel
| < >
| < >
| <
| < We posted at the same time ;-)
| < I don't think you're ready for ardour yet.
| < You got your post as I got this one.
| < Install ardour from sid. Last. Even after nvidia.
| < I never saw anything like the list you posted?
| < If you take your time, you will end up with a very nice
install/upgrade.
| < for jackd to start, you might need.
| <
| < edit /etc/security/limits.conf (add to the end of file)
| <
| < @audio - rtprio 99
| < @audio - memlock 4000000
| < @audio - nice -19
| <
| < I think 64studio comments out memlock in the default install?
| <
| < It's always better to remove non-free / 3rd party repositories
| < when doing an upgrade like this. Upgrade them at the end.
| <
| < Cheers,
| <
| < dave.
| <
| <
| <
| < _______________________________________________
| < 64studio-devel mailing list
| < 64studio-devel@64studio.com
| < http://lists.64studio.com/mailman/listinfo/64studio-devel
| <
| <
| <
|
| _______________________________________________
| 64studio-devel mailing list
| 64studio-devel@64studio.com
| http://lists.64studio.com/mailman/listinfo/64studio-devel
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFISzoDwRXgH3rKGfMRAl+aAKCtg4Au0gIGFZjuANzkC5 Hdp0bZtACeOaAF
FYG6qLWtoh/jpNK1xcsGwCE=
=N0SA
-----END PGP SIGNATURE-----

_______________________________________________
64studio-devel mailing list
64studio-devel@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-devel

dave 06-08-2008 03:39 AM

Ardour dependecies after upgrading to Lenny
 
Hi mirami, Hi Gustin

It was getting close to for midnight here when I shut my eyes,
I think you're one hour ahead of me?
How are you doing mirami?
you didn't respond to
# apt-get -f install: so it must be fine,
nvidia, looks good.
I install nvidia on -rt kernel
Sorry missed that one. The "-K" flag is a good lesson,
Thanks Gustin.
If qjackctl starts ok you don't need to touch
/etc/security/limits.conf
nice links!
Back to sleep now, It's 4.30 am here.

ps,
Keep the nvidia driver you downloaded.
Make notes of the install. Keep them together.
You will be glad you did in the future!

Cheers,

dave.

Gustin Johnson wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> googling for /etc/security/limits.conf was quite fruitful. The first
> two links are provided below. You should check out the google search
> yourself.
>
> http://www.userlocal.com/security/secpam.php
> http://www.gentoo.org/doc/en/security/security-handbook.xml?part=1&chap=5
>
> Hth,
>
> Jarom├*r Mike┼í wrote:
> | Hi Dave,
> |
> | for what is this?
> |
> | @audio - rtprio 99
> | @audio - memlock 4000000
> | @audio - nice -19
> |
> | Where I can get some info???
> |
> | Cheers
> |
> | mirami
> |
> | < ------------ P´┐Żvodn´┐Ż zpr´┐Żva ------------
> | < Od: dave <drbudo@ntlworld.com>
> | < P´┐Żedm´┐Żt: Re: [64studio-devel] Ardour dependecies after upgrading to
> Lenny
> | < Datum: 07.6.2008 23:37:32
> | < ----------------------------------------
> | < Hi mirami,
> | <
> | < Jarom´┐Żr Mike´┐Ż wrote:
> | < > Hello,
> | < >
> | < > I've got this message when I've tried install Ardour from
> backport repository
> | < after upgrading to Lenny.
> | < >
> | < > ardour:
> | < > Depends: liblo0 but it is not going to be installed
> | < >
> | < > I have allowed all repositories.
> | < >
> | < > Cheers
> | < >
> | < > mirami
> | < >
> | < > _______________________________________________
> | < > 64studio-devel mailing list
> | < > 64studio-devel@64studio.com
> | < > http://lists.64studio.com/mailman/listinfo/64studio-devel
> | < >
> | < >
> | <
> | < We posted at the same time ;-)
> | < I don't think you're ready for ardour yet.
> | < You got your post as I got this one.
> | < Install ardour from sid. Last. Even after nvidia.
> | < I never saw anything like the list you posted?
> | < If you take your time, you will end up with a very nice
> install/upgrade.
> | < for jackd to start, you might need.
> | <
> | < edit /etc/security/limits.conf (add to the end of file)
> | <
> | < @audio - rtprio 99
> | < @audio - memlock 4000000
> | < @audio - nice -19
> | <
> | < I think 64studio comments out memlock in the default install?
> | <
> | < It's always better to remove non-free / 3rd party repositories
> | < when doing an upgrade like this. Upgrade them at the end.
> | <
> | < Cheers,
> | <
> | < dave.
> | <
> | <
> | <
> | < _______________________________________________
> | < 64studio-devel mailing list
> | < 64studio-devel@64studio.com
> | < http://lists.64studio.com/mailman/listinfo/64studio-devel
> | <
> | <
> | <
> |
> | _______________________________________________
> | 64studio-devel mailing list
> | 64studio-devel@64studio.com
> | http://lists.64studio.com/mailman/listinfo/64studio-devel
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.6 (GNU/Linux)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
>
> iD8DBQFISzoDwRXgH3rKGfMRAl+aAKCtg4Au0gIGFZjuANzkC5 Hdp0bZtACeOaAF
> FYG6qLWtoh/jpNK1xcsGwCE=
> =N0SA
> -----END PGP SIGNATURE-----
>
> _______________________________________________
> 64studio-devel mailing list
> 64studio-devel@64studio.com
> http://lists.64studio.com/mailman/listinfo/64studio-devel
>


_______________________________________________
64studio-devel mailing list
64studio-devel@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-devel

Gustin Johnson 06-08-2008 06:21 AM

Ardour dependecies after upgrading to Lenny
 
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

dave wrote:
| Hi mirami, Hi Gustin
|
| It was getting close to for midnight here when I shut my eyes,
| I think you're one hour ahead of me?

- -7 hours here if you were asking me. Even if you are not, we tend to
keep really late hours (by we I mean my friends and I). I forget that a
lot of people are more normal :)

| How are you doing mirami?
| you didn't respond to
| # apt-get -f install: so it must be fine,

Should be ok. With third party repositories I sometimes have to massage
the upgrade, but you should be ok.

| nvidia, looks good.
| I install nvidia on -rt kernel

Sometimes binary drivers and rt kernels do weird things together. I
have had problems with both nVidia and ATI (fglrx) in the past, though
both were on laptops. I don't have a large sample to draw from, so YMMV.

| Sorry missed that one. The "-K" flag is a good lesson,
| Thanks Gustin.

No problem, I found that one out the hard way. Not too terrible, but a
bit of pain. Took too long to figure out as well.

| If qjackctl starts ok you don't need to touch
| /etc/security/limits.conf

I would check this file anyway. I would also check that my user was in
the group referenced in this file (/etc/group). It is never a bad idea
to see how things are put together. Well, at least in the FLOSS
software world.

| nice links!
| Back to sleep now, It's 4.30 am here.
|
| ps,
| Keep the nvidia driver you downloaded.
| Make notes of the install. Keep them together.
| You will be glad you did in the future!
|
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIS3pmwRXgH3rKGfMRAtw1AKCDcg4K5atZv1sbXUVvUu 5/E5NpOgCZAbR2
974Jmr6ixrsBUNVmy9n5DBQ=
=Yhvn
-----END PGP SIGNATURE-----

_______________________________________________
64studio-devel mailing list
64studio-devel@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-devel

dave 06-08-2008 08:12 AM

Ardour dependecies after upgrading to Lenny
 
Hi Gustin,

Gustin Johnson wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> dave wrote:
> | Hi mirami, Hi Gustin
> |
> | It was getting close to for midnight here when I shut my eyes,
> | I think you're one hour ahead of me?
>
> - -7 hours here if you were asking me. Even if you are not, we tend to
> keep really late hours (by we I mean my friends and I). I forget that a
> lot of people are more normal :)
>

Not sure about being normal ;-) My favourite time is early morning
so by midnight I'm ready to snooze. You must be digesting your dinner!
I'm ready for my breakfast.
I like the all nighters, but I've got to function some days :)

> | How are you doing mirami?
> | you didn't respond to
> | # apt-get -f install: so it must be fine,
>
> Should be ok. With third party repositories I sometimes have to massage
> the upgrade, but you should be ok.
>

I've got a clean install, upgraded to 64testing, all ready to go ;)
going to try with third party repositories enabled.
I have kept one lenny upgrade, it's kinda sweet.
Need to find a balance between 64studio & emacs22.

> | nvidia, looks good.
> | I install nvidia on -rt kernel
>
> Sometimes binary drivers and rt kernels do weird things together. I
> have had problems with both nVidia and ATI (fglrx) in the past, though
> both were on laptops. I don't have a large sample to draw from, so YMMV.
>

GeForce FX 5200 here, on two computers, cheap and they work ok
I am going to follow your lead and check out intel
I swear my audio works better "before" I install nvidia,
and I don't care about eye candy.
No experience of ATI here, but looking back through the lists
has been interesting ;)
Looking at getting a laptop, don't know which one yet.

> | Sorry missed that one. The "-K" flag is a good lesson,
> | Thanks Gustin.
>
> No problem, I found that one out the hard way. Not too terrible, but a
> bit of pain. Took too long to figure out as well.
>
> | If qjackctl starts ok you don't need to touch
> | /etc/security/limits.conf
>
> I would check this file anyway. I would also check that my user was in
> the group referenced in this file (/etc/group). It is never a bad idea
> to see how things are put together. Well, at least in the FLOSS
> software world.
>

Thanks for the tips! as soon as I clicked on send, I knew I should have
said I am going to look into your links more, too late, post had gone.
Going to check them out today.

> | nice links!
> | Back to sleep now, It's 4.30 am here.
> |
> | ps,
> | Keep the nvidia driver you downloaded.
> | Make notes of the install. Keep them together.
> | You will be glad you did in the future!
> |
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.6 (GNU/Linux)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
>
> iD8DBQFIS3pmwRXgH3rKGfMRAtw1AKCDcg4K5atZv1sbXUVvUu 5/E5NpOgCZAbR2
> 974Jmr6ixrsBUNVmy9n5DBQ=
> =Yhvn
> -----END PGP SIGNATURE-----
>

Cheers,

dave.


_______________________________________________
64studio-devel mailing list
64studio-devel@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-devel


All times are GMT. The time now is 10:43 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.